What is new in WYSIWYG Web Builder 20?

Smart Content
- New feature: Smart Content offers a fast and easy way to update text and images on your page based on a selected category. 
For example, if you've downloaded a template and want to preview it with content related to your project, simply use this feature.
Replace with Stock Photos: Instantly swap all the images on the page with relevant stock photos in just one click.
Replace Text with Category Text: Quickly replace existing text with content tailored to your chosen category.
You also have the option to use AI for text replacement, offering even more personalized results. Additionally, you can choose whether to apply changes to the entire page or only to selected elements.

Blocks
- New feature: Added 'Blocks Libraries'. Now you can switch between different block libraries. Each bloc lirnbsa ucan have its own set og blocks. For example, there you can have a dedicated library for dark blocks or ecommerce blocks.
- New feature: Added 'Favorites' to Block Manager. 'Favorites' is a dedicated library to store your favorite blocks.
- New feature: Added option to automatically fill newly added blocks with content (text and images) based on the selected category.
- New feature: Added the ability to collapse / expand all categories in the Block Manager with one click.
- New feature: Added support for dragging and dropping .wbl files (Blocks) directly onto the workspace from Windows File Explorer, offering an alternative to using the Blocks Manager.

Color Adjustments Tools
- New feature: Added Color Adjustments Tools to quickly adjust the colors of the entire page. Brightness, Contrast, Graysale, Hue, Saturation, Invert colors, Invert luminance, temperature, tint. You can also replace a specific color on the page. The tools maybe be useful if you quickly want to change colors on the page without having to manually adjust all colors separately.
- New feature: Adjust colors from image. Modify the colors of the page to match those found in the selected image.

Animated Headline
- New feature: The Animated Headline object allows you to create eye-catching and engaging website headlines. It enables you to animate headline text elements that rotate or include highlighted animation.
Additionally, this widget lets you easily customize the animation effects, speed, and styles to match your website’s design and branding.
The animation can be started automatically on page load, on scroll or via events.
Ferris Wheel
- New feature: The Ferris Wheel object is an interactive circular slider, inspired by the design of a Ferris wheel. Each gondola on the wheel can display a different icon, and clicking on a gondola reveals more details (title, description, and URL) in the center of the wheel. This feature is ideal for highlighting services or specific sections on a website in an engaging manner. Additionally, it supports images, making it a versatile alternative to a traditional slideshow.

Photo / Video Grid
- New feature: The photo / video grid makes it easy to create beautiful galleries, with just a few clicks. The photo / video grid can have mixed content, so it can contain both images and videos (mp4, youtube or vimeo). 
Clicking on a thumbnail will open a large version of the image/video in a lightbox / slideshow. You can select one of the 25 built-in layouts but also create your own custom layout.

Slideshow
- New feature: 'Background' mode of the slideshow (formerly known as 'Fullscreen Background') can now be applied to container backgrounds, including layers, layout grids, cards, flex containers, and more. This enhancement allows you to add animated backgrounds to nearly any object with ease. For example, you can implement a (mini) slideshow to cards, or add a ken burns effect to the background of a layout grid.
- New feature: Added "Ken Burns" animation to 'background' mode of the Slideshow.
- Improved: The Ken Burns animation effect has been updated to eliminate the use of jQuery, resulting in a more lightweight and efficient page load.

TikTok Video
- New feature: Added support for TikTok video. You can now easily embed responsive TikTok videos on your website. Customize playback with options like autoplay, looping, controls visibility, and displaying video descriptions for a seamless integration experience.

Color Swatches
- Updated feature: The color swatches functionality have been redesigned. Now if you select a color swatch from the list it will adopt all colors on the current them automatically. Allowing you to quickly change the overall style of the page.
- New feature: Create swatch from image. This option extracts the 12 most dominant colors from an image and generates a new swatch based on those colors.

Easy Mode
- New feature: "Easy Mode" has been redesigned. When Easy Mode is enabled it loads a simplified environment where you can your website using blocks only.
This mode is aimed at new users (or existing users) that just want to quickly create a website, without the need to have full control over the layout.
It may also be beneficial for newcomers to get familiar with the user interface, before transitioning to the regular environment.

The main difference with the regular environment is that you work exclusively with blocks instead of individual objects.
Consequently, there's no object toolbox or insert menu to navigate. You're limited to inserting blocks, rather than individual objects, and the available options have been condensed for a more straightforward workflow.
You cannot drag & drop, insert, delete or copy/paste individual objects (to maintain layout integrity). But you can edit the properties of objects, just like in the regular version. Also, objects can be hidden.
Blocks can be inserted, removed, copy/pasted and re-arranged.

Color Picker
- New feature: Added new rounded color picker style. If you prefer the old look then you can set this in Tools -> Options -> User Interface.
- New feature: Added 'Eyedropper' tool. Use the eyedropper tool to quickly pick a color from the screen without have to open the color dialog first.
- Updated feature: The old 'use swatch colors' option has been replaced with a dedicated 'color picker mode' option: use web colors or use swatch colors.

Layout Grid Management Tools
- New feature: When you select a Layout Grid, the Ribbon will now display a dedicated 'Format' context tab to quickly modify properties of the Layout Grid, like background, border and arrange tools (move up, move down, move to top, move to bottom)
- New feature: Added to quickly set the background, alignment and padding of the selected Layout Gird column via the Ribbon. These option are also available via the context menu and menubar.
- New feature: Added 'Delete' option to quickly remove the selected Layout Grid column (including the content).
- New feature: Added 'Insert' option to quickly insert a new Layout Grid column.
- New feature: Added 'Move Left' and 'Move Right' options to quickly change the order of Layout Grid columns (including the content).
- New feature: Added 'Increase' and 'Decrease' options to quickly change the size of the selected column.

Preset Layouts
- New feature: Added 'Preset Layouts' option to the Insert menu. To save time when designing layouts, you can now use one out of available preset layouts. To use them, click the Insert tab > Layout > Preset Layouts. There are 25 presets based on Layout Grids. The gallery also displays all flex grid templates. These templates can be modified via the flex grid properties.

Layout Grid
- New feature: You can now set custom values for column height, allowing more flexibility in layout design. Enter values such as 66vh, 80vh, or any other valid height measurement to achieve the desired column height.
Note: this feature is also available for the Flexbox container, Flex Grid and Carousel!

Accordion 
- New feature: Added the ability to set the spacing between accordion panels.

Publish
- New feature: Added the ability to set a master password for the publish data. When set, all publish data will be encrypted.
- New feature: Added new option to publish window "Publish all files except sitemap.xml/robots.txt". This allows you to publish all files with exception of sitemap.xml/robots.txt

Cards
- New feature: Added horizontal card functionality. The new 'column break' card item allows you to divide card items into columns.
- Improved: The 'Add' items drop down menu now also has icons which make it easier to identify the different card item types.

Check for Updates
- New feature: It is now possible to download and install updates directly via the 'Check for updates' dialog.

Image
- New feature: It is now also possible to use the mp4 format in the image object. This functionality was added for the new 'Image-to-video' feature, but can be used for other mp4 as well. The video will be played without audio and controls. Videos also work in combination with (HTML) watermark, stencils, shapes and other some other image specific features.
- New feature: Added 'AI Vision' tools to automatically generate titles and descriptions from images using AI. Click the 'bulb' icon to use OpenAI's AI Vision, which analyzes the image and creates a relevant title or description text for you.
- Improved: The image selection dialog will now remember the last selected folder independently from other file dialogs, such as the project open menu. This enhancement allows for a more streamlined and efficient workflow, making it easier for users to access frequently used folders without having to navigate through the directory structure each time.
- Improved: The Image slice tool has been redesign to use CSS grid instead of a table to make sliced images responsive. It also greatly simplifies the output HTML.

Stencils
- New feature: Added a 'Download More Stencils' option to the Stencils Gallery, providing quick access to the website's download page for additional stencils. There are 2 new stencils packs on the download page, with more than 50 extra stencils for use with WYSIWYG Web Builder 20!
- New feature: Added an 'Open File Location' option to the Stencils Gallery, enabling quick access to the folder where stencil files are stored.
- New feature: Added ‘Stencilize’ filter to image tools. This feature converts an image into a transparent stencil, providing a quick and easy way to create your own stencils. You can use these stencils for use with other images or videos, allowing for versatile creative effects. 
- Improved: Added support for .webp stencils (in addition to .png) to reduce file sizes.
- Improved: You can now add and use custom stencils by simply placing your .png or .webp files in the following folder:
Documents\WYSIWYG Web Builder\system\stencils\

Filter
- The image filter preview dialog is now resizable, It also remembers its previous size/position and include other (speed) improvements. 

Wrap Text
- New feature: Added the ability to center a floating element or shape inside the text to create magazine like layouts.
Two columns, split with <break>. Offset with margin-top. Cards, Icon, Image

Templates
- New feature: Added 'Filter' option to filter the display template based on the specified search term. For local templates, the search is based on the template name. For online templates, you can also search by keywords such as color, topic, or functionality (e.g., gallery, form, shop).
- New feature: Added 'Online Examples' category. We've consolidated all our example projects into a new 'Online Examples' category within the "Templates" section. Over the years, we’ve created numerous example projects to demonstrate the various features of WYSIWYG Web Builder. Previously, these examples were scattered across different areas—release notes, tutorials, and downloads—making them hard to track.
Now, you can easily access all these examples in one place. While most are simple demos showcasing specific features, they can be a great starting point or a helpful resource for discovering features you might not have thought to explore. There is also a dedicated shortcut in the Help menu. More than 150 examples are currently available!

Backup Manager
- New feature: Added 'Search' option to filter the displayed backups based on their name.
- New feature: 'Restore to another location' option, to restore the selected backups to another location instead of the default documents folder.
- New feature: 'Open file location' option. This will open a new Windows Explorer with the backup folder.
- New feature: Added 'Select all' button  to quickly select all item in the list.

Badges
- New feature: Added 'image' type. This allows you to use custom images as badge for endless possibilities!
- New feature: Added 6 new badge types: Certificate, Shiny Ribbon, Simple Ribbon, Folded, Folded Arrow, Bookmark Horizontal
- Improved: Geometrics (rendering, hit testing, etc) of badges assigned to rotated objects.
- Improved: Added multiline support. Use <br> to split lines. Not supported for Ribbons and Stripe!

AI Text
- New feature: Added more tones / communication styles: "approachable", "authentic", "authoritative", "conversational", "dynamic", "empathetic", "engaging", "formal", "humorous", "informal", "innovative", "inspiring", "nurturing", "polite", "positive", "progressive", "thoughtful", "transparent", "trustworthy".

Stability AI
- New feature: Added support for "Stability AI" as alternative for OpenAI. "Stability AI" offers a wide range of extra option compared to dali-e3. 
The following image generation models are currently supported: Stable Image Ultra, Stable Image Core, Stable Diffusion 3 Large, Stable Diffusion 3 Large Turbo, Stable Diffusion 3 Medium.

AI Image Inpainting
- New feature: Added 'Undo' button (also accessible via Ctrl+Z). This makes it possible to undo each paint action individually instead of resetting all actions at once. Hold SHIFT to undo all actions.
- New feature: Added new paint mode: flood fill. The Flood Fill Tool allows you to make a selected pixel and its surrounding pixels transparent based on their color similarity. The tolerance level determines how similar the surrounding pixels need to be to the selected pixel to also become transparent. A lower tolerance will only select pixels very similar in color, while a higher tolerance will select a broader range of colors.
- Improved: The brush size selection menu has been replaced with an input box, allowing for more precise control over the brush size.

AI Image Outpainting
- Improved: When using StabilityAI for outpainting., you can select left, right, top and bottom outpaint directions, instead of centered zoom, so you have more control over which sides are expanded.

AI Image Erase
- New feature: The Erase tool removes unwanted objects, such as blemishes on portraits or items on desks, using image masks.

AI Image Search and Replace 
- New feature: The Search and Replace tool is a specific version of inpainting that does not require a mask. Instead, users can leverage a search prompt to identify an object in simple language to be replaced. The tool will automatically segment the object and replace it with the object requested in the prompt.

AI Image Search and Recolor
- New feature: The Search and Recolor tool provides the ability to change the color of a specific object in an image using a prompt. The Search and Recolor tool will automatically segment the object and recolor it using the colors requested in the prompt.

AI Sketch to Image
- New feature: Sketch to Image converts a simple drawing into a dynamic image. Use the prompt to define further details of the output image.

AI Create a new image with the same style
- New feature: This tool extracts stylistic elements from an input image (control image) and uses it to guide the creation of an output image based on the prompt. The result is a new image in the same style as the control image.

AI Image Remove Background
- New feature: This feature also work with Stability AI API key, so if you have a Stability account then there is no need for remove.bg key.

AI Images
- Improved: Added 'Image Provider' section. WYSIWYG Web Builder now supports multiple APIs for image generation. You can choose between OpenAI and Stability AI as your preferred provider for generating images.
Note: This setting only affects image generation, inpainting, outpainting, and image variations. All other features, such as Erase, Search and Replace, Recolor, Sketch to Image will automatically use Stability AI, as they are not yet supported by OpenAI.
- Improved: AI tools now show a 'warning' badge to indicate that the API key has not been set.
- New feature: Added the 'AI Vision' tool for automatically generating prompts from input images using AI. Simply click the 'bulb' icon to utilize OpenAI's AI Vision, which analyzes the image and generates a relevant prompt for you. This feature is particularly useful, as many image editing tools rely on input prompts to guide the output results.

Ollama
- New feature: WYSIWYG Web Builder now integrates with Ollama, allowing you to generate, translate and improve text using AI directly on your local computer.
Ollama is a platform designed to enable local installation and use of AI language models laptops or desktops. Unlike cloud-based AI services that require internet access to connect to servers, Ollama focuses on providing private, offline, and secure access to AI capabilities. It supports interactions with large language models directly from the user's machine, which can be especially useful for maintaining data privacy and reducing dependency on remote servers. Ollama supports popular language models like Llama 3.3, Mistral, Gemma 2, and other large language models.

ComfyUI
- New feature: WYSIWYG Web Builder now integrates with ComfyUI, allowing you to generate unlimited high-quality images using AI directly on your local computer.
ComfyUI is a powerful and popular open-source tool that supports AI models like Stable Diffusion and Flux, enabling you to create stunning images. Best of all, it's completely free, meaning there are no usage fees or limitations, unlike many paid online services, allowing you to create as many high-quality images as you want without any additional costs. 

Rollover Image
- New feature: Added support for video (mp4). You can either use 2 videos or an image and video for the rollover. The video should not have audio otherwise the browser may not play it automatically.

Rollover Text
- New feature: Added support for video (mp4).  The video should not have audio otherwise the browser may not play it automatically.

Rollover Layer
- New feature: Added the ability to vertical align floating content in Rollover Layers.

Flex Container
- New feature: Enhanced Flex Container, Card Container, and Card Repeater components with background video support. Users can now add background videos via YouTube, Vimeo URLs, or MP4 files, bringing dynamic visual options directly into these elements.

Text
- Improved: Added 'Translate in Google' tool to the context menu of text editor.

Icons
- New feature: Added support for Material Symbols. Material Symbols is a newer version of Material Icons based of a variable font with more than 3500 icons! There are 3 versions of Material Symbol: Outlined, Sharp and Rounded. 
Because Material Symbols is based on a variable font, it has support for multiple fonts weights which gives you more control over the appearance of the icons. Also, the icons can rendered both unfilled and filled states. The fill mode is animatable and can be set via the transitions properties (see demo).
- Improved: The icon picker for Font Awesome now shows all (free) icon variations (solid and regular). 
Added: image, images, calendar-days, calendar-plus, calendar-minus, clipboard, folder-closed, eye-o, eye-slash-o, hand, floppy-disk, file-zipper, file-video, file-image, hand-spock, hand-pointer, hand-point-left, hand-point-right, edit, clock, newspaper, gem, registered, moon, hospital, copyright, lightbulb, keyboard, rectangle-list, hard-drive, comment-dots. All regular variants have an '-o' post fix.
- Improved: The Format context tab in the Ribbon now supports Icons, allowing you to easily adjust their color, border, or background. When using the "Edit Text" (Ctrl+E) command in this context, the Icon Picker dialog will open for quickly selecting a different icon.

Clip Art
- New feature: Implemented Windows 10/11 Font Icons (Segoe MDL2 Assets / Segoe Fluent Icons) support. You can now use the icons in the Clip Art object (2 x 1386 icons!)

Shape
- New feature: Added 10 new Polymorphic shapes. 

User Interface
- Improved: Icons in the user interface, including the Toolbox, Ribbon, and Toolbars, now seamlessly adapt to dark color themes with significantly improved contrast. Similar to Microsoft Office products, the colors' luminosity is inverted, ensuring they appear clearer and more visually appealing, making them easier on the eyes in dark mode.
- Improved: Icons in Icon pickers are rendered in accent color. 
- Improved: Accent color dropdown in User Interface options renders color preview.
- Improved: Shape and Badge now use a gallery style shape selection, instead of a standard dropdown menu.
- Improved: Property Dialogs are now slightly wider, with increased spacing between property names and values to enhance readability.
- Improved: Added background and border properties to the Ribbon's formatting context tab.

Panel Menu
- New feature: Added 9 new hamburger icon (SVG) animations: split, divide, slide, circle, snake, smooth, elegant, morph, sling
- New feature: Added duration and easing options for (hamburger) icon animation.
- New feature: Added the ability to set the 'Line cap' style for the hamburger icon: square or round. When selecting "round", the ends of lines are rounded.
- Improved: Added dedicated (hamburger) icon animation option selection. This replaces the special character functionality for the title property. Now if an hamburger icon animation is selected,  then the title value be not be used.

Overlay Menu
- New feature: Added 9 new hamburger icon (SVG) animations: split, divide, slide, circle, snake, smooth, elegant, morph, sling
- New feature: Added more than 30 'show animations' to Overlay Menu. They can be used to animate the menu when it's triggered via the hamburger menu.
- New feature: Added duration and easing options for (hamburger) icon animation.
- New feature: Added the ability to set the 'Line cap' style for the hamburger icon: square or round. When selecting "round", the ends of lines are rounded.

Drop Down Menu
- New feature: Added support for hamburger icon animations with the same options as in the Panel and Overlay Menus.

Navigation / Links
- New feature: Added support for WhatsApp links. This feature allows you to begin a chat with someone without having their phone number saved in your phone's address book. 
Use whatsapp:<number> where the <number> is a full phone number in international format. Omit any zeroes, brackets, or dashes when adding the phone number in international format.
- New feature: Added 'Edit' button to links. This will open a dialog where you can quickly edit the parameters of mailto, tel, sms, skype, facetime and WhatsApp links. This option will also automatically url encode the text if needed.

Shopping Cart
- Improved: The built-in PayPal shopping cart has been renamed to "Shopping Cart' because it is no longer limited to PayPal checkout.
- New feature: We've added support for discount coupons! Customers can now enter a discount coupon in their cart. These discounts can be either a flat amount or a percentage off the total. You can configure multiple coupons.
- New feature: Added the ability to set the maximum order quantity. A (user definable) message can be displayed if the quantity is too high.
- New feature: Added the ability to set the border-width, border-radius and border color of the checkout button.
- New feature: Added 'Render all funding buttons' option to 'PayPal JavaScript SDK' checkout. By default, the cart only render a single PayPal checkout button. When 'Render all funding buttons' is enabled then all eligible funding buttons are rendered. For example card, sepa, giropay, ideal, sofort etc. The available funding options are different for each region. 
- New feature: Added 'Stripe' checkout. 
Requirements: 
- Tools -> Options -> Ecommerce -> Stripe -> publish_key. 
- Enable 'CLIENT-ONLY INTEGRATION' in Stripe account. 
- Add your domain to 'List the domains you want to use with Checkout in live mode'. 
- In the PayPal buttons, Item ID, should be the price_ID of the product (not product ID!). 
- Use PayPal 'Add to cart' buttons or Ecommerce events to add items to the cart.
- The price ID should already have been setup in your Stripe account.
- The success and error url should be set up in the PayPal buttons settings.
- Stripe does not support the built-in discount and shipping. However you can set this up in your Stripe Account.
- New feature: Added 'Paddle' checkout. 
- New feature: Added 'Custom' checkout. This allows you to implement a custom checkout via your own script. For example, you can send the content of the cart to an email address, whatapp message or a third party shopping cart checkout.

Akismet anti-spam protection
- New feature: Added support for Akismet anti-spam protection. Akismet provides robust anti-spam protection, effectively blocking spam submissions in contact forms. 
Akismet works by analyzing comments or form submissions using a large database of known spam patterns and behaviors. It checks things like the content, user IP, and other metadata against its database. If the submission matches patterns typically seen in spam, Akismet flags it as spam. It's essentially a real-time spam filter that learns and improves over time based on the data it processes. Akismet offers free (non-commercial) and premium pricing plans.

Photo Collage
- New feature: Added a layout preview feature in the properties, allowing you to instantly see how the layout will appear without closing the properties panel.
- New feature: Added the ability to add box shadow to thumbnail images.

Lightboxes
- Improved: The Lightbox scripts are now located in the \documents\wysiwyg web builder\system folder, making them easier to maintain. This change simplifies upgrades, configurations, and the process of moving them to another computer. Additionally, updating or modifying the scripts is now more convenient.
- Improved: magnificpopup popup lightbox now has 'Zoom effect' enabled by default. Note: Zooming only works for images.
- Improved: spotlight and glightbox are now included in page properties lightbox configuration. This means that they can be used anywhere where lightboxes are supported (links, youtube, vimeo, html video, galleries etc.)
- Improved: Added add shortcut to change the Lightbox type in Page Properties in lightbox configuration of Inline Frame, YouTube, Vimeo, Video.

Blog
- New feature: Added MySQL data source. The blog can now load blog articles from the (CMS) database. This make it possible to modify blog articles online in combination with the CMS admin tool. 
You can use this to display existing articles or use it as standalone blog.
TABLE STRUCTURE
title; used for subject
content, HTML code for the blog article
url, the link for the 'Read more' button
extra_data, can be used to set the image of the blog article.


- New feature: Added "Clone' to quickly clone an existing blog item.
- Improved: The blog now uses flexbox instead of clearfixes. This simplifies the generated output code.
- Improved: Added the ability to add padding to the blog's container.

Form
- Improved: Added the ability to set a maximum file upload size for email attachments, regardless of the 'Upload files to a folder' setting.
- Improved: You can now set the maximum file upload size to ‘0’ to disable file uploads entirely, which will exclude all related PHP scripting.
- Improved: Added tooltips to the 'File Upload' section to clarify the available options.
- Improved: Added 'label', 'date picker', 'range, 'flip switch' and 'rich text area' to Form's context tab on the Ribbon.

Video
- New feature: Added 'auto' option to aspect ratios for mp4 files. This will automatically get the aspect ratio from the video. 
- Improved: The video object will now display the first frame of an MP4 video in the workspace (if the format is supported), replacing the previously shown generic placeholder.
- Improved: Added the possibility to drag & drop mp4 files from Windows File Explorer to the workspace.

YouTube
- Improved: You can now enter just the YouTube video ID instead of the full URL, giving you more flexibility without being restricted to a specific URL format.

Dividers
- New feature: Added a ‘Remove’ button to quickly remove or reset dividers. 
- New feature: Added support for alpha transparency. This may be useful for creating semi-transparent effects using dividers.

Login Tools
- Improved: Enhanced security by using prepared statements and parameterized queries, to prevent SQL injection.

Inline Frame
- Improved: allowfullscreen has been replaced by allow="fullscreen".

Single Page Protect
- Improved: The password is now hashed using bcrypt.


01/11/2025 - Version 20.0.1
- Fixed: Crash with Layoutgrid and masterpage (focus issue).
- Fixed: Issue with "Check for updates"
- Fixed: Issue with "Remove preview files" option 
- Fixed: Invalid "Image has no description" message in SEO Assistant.
- Fixed: Login form does not save 'use theme' property. 
- Improved: Remove background now displays an error when Stability AI fails to process the image.
- Improved: Reset Activation counter when upgrading settings.
- Improved: Added the ability to disable MP4 preview via Registry key: HKEY_CURRENT_USER\Software\Pablo Software Solutions\WYSIWYG Web Builder 20\Settings\PreviewMP4

01/17/2025 - Version 20.0.2
- Fixed: Issue with Blog/Article timeline style preview.
- Fixed: Modal window options in Photo Grid are not saved.
- Improved: Optimized font enumeration in Ribbon font picker.
- Improved: Content Place Holder changes to support new functionality (planned for 20.1).
- Improved: Hidden cookies options in Photo Gallery modal window options.
- Improved: Removed invalid image references from jquery-ui.min.css files.
- Improved: "Check for updates" now shows the URL of the filename instead of the download page.

01/31/2025 - Version 20.0.3
- Improved: Added support for the 'deepseek-r1' text model for Ollama. Tools -> Options -> Artificial Intelligence -> Text Generation -> Provider -> Ollama
- Improved: Implemented rendering of rounded corners in Rollover Image.
- Improved: The 'Protected Page' object now excludes user roles that no longer exist.
- Improved: The length of Validation -> Input Mask is no longer limited to the control size.
- Improved: On startup, the software now checks if the default lightboxes exists. If not, it copies the files to the configured system folder.
- Improved: Added error message when lightboxes are not detected in Photo Gallery properties.
- Improved: Implemented 'slideshow next' and 'slideshow previous' events for Swiper based sliders (Slideshow, Card Container).
- Improved: Optimized workspace rendering for Article, Blog and Extensions with HTML preview (Direct2D).
- Improved: Implemented specialized handling for blocks preview image containing only HTML objects.
- Fixed: Missing class name for ListView filter.
- Fixed: Removed extra description spacing for ListView items with no icon/image.
- Fixed: Issue with clipping area of Badge - Glossy Ribbon.

02/14/2025 - Version 20.0.4
- Fixed: Issue with rendering of extensions on master page.
- Fixed: Issue with accent color in Visual Studio 2022 color schemes.
- Fixed: Issue with undo/reset in Sketch to Image.
- Improved: The Card Container now displays pagination numbers when the standard pagination is off to make it easier to switch between slides.
- New feature: Added 'fade' mode to the Card Container. Enabling simple card transitions with a smooth fading slideshow effect.

02/28/2025 - Version 20.0.5
- Improved: Email validation in forms has been updated to use FILTER_VALIDATE_EMAIL instead of preg_match, providing a more reliable and standardized method for validating email addresses in PHP.
- Improved: Image names containing brackets are now flagged as invalid in Error Reports to prevent potential issues with JavaScript compatibility.
- Improved: Enhanced ID validation in Error Reports: ID cannot contain spaces or special characters. Only letters, digits, hyphens, and underscores are allowed.
- Improved: Added (limited) support for Table size mode 'use percentages' in flex container.
- Improved: Meta data (EXIF) of images no longer overwrites description when the title is empty.
- Improved: Added support for NL setup in Check for updates -> Automatic download.
- Improved: Optimized random algorithm of the Website Wizard.

03/11/2025 - Version 20.0.6
- New feature: Added support for export to 'Quick 'n Easy Web Builder 12' projects. This includes support for new features like Animated Headlines, Ferris Wheel, Horizontal Cards and Photo Grid. But also previously unsupported objects like Text Art, Bulleted List, Listview and Droplist.
- Improved: Added extra error handling to Akismet anti-spam protection.
- Improved: Disabled the horizontal scrollbar for Card text input, ensuring text wraps within the window for better readability.
- Fixed: Cursor property not saved in 'Delete Profile'.
- Fixed: Issue with card selection in Card Container in 'fade' mode.

03/28/2025 - Version 20.1.0
- New feature: Added alignment for images in Flexible Layouts. Previously, images with max-width were always centered. Now, you can align them to the left, right, or keep them centered, giving you more control over your design.
- New feature: The "Content Place Holder" object for Master Frames can now be used within Layout Grids. This enhancement enables more versatile and structured designs, making it easier to create layouts with sidebars or 
other nested structures while utilizing the Master Frame concept.
- New feature: The "Create a variation of an existing image" option (AI) now also supports ComfyUI, offering a free, local alternative to OpenAI and StabilityAI's image variation functionality.
- New feature: The "Image Enhancement - in-painting" option (AI) now also supports ComfyUI, offering a free, local alternative to OpenAI and StabilityAI's image in-painting functionality.
- New feature: The "Image Expand - out-painting" option (AI) now also supports ComfyUI, offering a free, local alternative to OpenAI and StabilityAI's image out-painting functionality.
- New feature: Added an "Influence" option under AI → Create Variation for existing images. This setting, represented as a float value from 0.0 to 1.0, controls how much the original image impacts the generated variation.
0.0: The new image will closely resemble the original. 1.0: The new image will be completely different. Values in between create a mix of similarity and variation.
- New feature: Added two new alignment options for the Responsive Menu hamburger icon: "left, button center" and "right, button center". This makes it possible to center the icon.
- New feature: Added the ability to set the border radius of Mega Menu (hover) links.
- New feature: When using a negative left padding for sub items in a Mega Menu (Style Sub Item -> Padding -> Left). The sub item will no longer be shifted to the right. This can be helpful if you want to align the text with the heading of the menu.
- New feature: Added the ability to set the border radius of DropDown Menu sub items individually. By default, when set to -1, sub-items will inherit the same border radius as the main menu. To customize the appearance, simply specify a different value to apply a unique border radius to sub-items.
- New feature: Added 'Icon Position' property to CSS Menu. The icons can now be aligned to the left or right side of the text.
- New feature: Added 'Icon Offset' property to CSS Menu. This specifies the spacing between the icon and the text.
- New feature: Added 'speed' property to Card Container. This controls the speed of the transition between cards. Applies to coverflow, stack, cube, flip and fade
- New feature: Added 'loop' property to Card Container. Set to true to enable continuous loop mode, instead of restarting at the begin. Applies to coverflow, stack, cube, flip and fade.
- New feature: Added the ability to load images from a folder on the server in Photo Grid.
- New feature: Added 'Sort order' in Photo Gallery/Photo Grid/Photo Collage/Slideshow -> Source -> Get Images from a folder on the server. Photos can now be sorted alphabetically, random order, newest first and latest first.
- New feature: Added 'Image count' in Photo Gallery/Photo Grid/Photo Collage/Slideshow -> Source -> Get Images from a folder on the server. This allow you to set a limit for the number of displayed images. For example, to show the 10 newest images only.
- Improved: The Slideshow's "Get Images from a Folder on the Server" option now supports Background, Ken Burns, Swiper, and Thumbnail Gallery types. This allows for dynamically loading random images from the server seamlessly.
- Improved: Upgraded to jQuery UI v1.14.
- Improved: Replaced 'icons' with 'icon' property in Themable button split mode. For compatible with jQuery UI v1.14.
- Improved: jQuery UI effect scripts (bars, blast, squares) updated for compatible with jQuery UI v1.14.
- Improved: Added the ability to set the alpha value of border colors in Tabs.
- Improved: Optimized workspace rendering box shadows (direct2d) in master pages.
- Improved: Lazy load in Photo Gallery now also applies to images loaded from online folder.
- Improved: Badge image is now stored in template.
- Improved: Optimized exception handling in PHP form scripts.
- Deprecated: Instagram integration has been deprecated due to the discontinuation of the Instagram JavaScript API. For more details, visit: https://developers.facebook.com/blog/post/2024/09/04/update-on-instagram-basic-display-api/.
If you are looking for an easy way to display Instagram feeds then these third party service may be useful: https://behold.so or https://curator.io
	
04/11/2025 - Version 20.1.1
- Improved: Added 'Full Width' property to Date Picker.
- Improved: Added 'Full Width' property to Slider, Tabs and Accordion in Property Inspector for quicker access.
- Improved: When copying and pasting a label/editbox pair, the 'for' attribute is automatically updated to match the new ID.
- Improved: Implemented a workaround to prevent conflicts between Bootstrap and jQuery UI tooltip() and button() methods.

04/24/2025 - Version 20.1.2
- Improved: Increased the size of the file buffer for selecting multiple images (in Gallery, Slideshow).
- Improved: Added the ability to move multiple selected images in the Photo gallery settings.
- Improved: Bootstrap validation error reporting.
- Fixed: Issue with Photo Gallery filter menu labels.
- Fixed: Issue with Photo Gallery background color

05/23/2025 - Version 20.2.0
- Improved: Upgraded Bootstrap scripts to v5.3.6
- Improved: Implemented support for 'close on escape' in dialog type Bootstrap.
- Improved: Added gpt-4.1, gpt-4o-mini and gpt-4o-nano to the list of OpenAI text models.
- Improved: Bootstrap Dialog scrolling behavior. When the modal becomes too long for the viewport or device, it scrolls independent of the page itself.
- Improved: Added tooltips to button of visual Flex grid editor.
- Improved: There is no longer a limitation to the number of nested grids in combination with form validation and web storage.
- Improved: The Slideshow’s image properties now match the Photo Gallery. The image list shows preview thumbnails and includes a zoom slider for resizing. You can automatically assign titles, and sort images by filename, title, size or date.
- Improved: Added a “Clone” button to the Carousel properties to duplicate the selected slide (including all its style settings) with a single click.
- Improved: You can now copy/paste an entire group of properties in the Property Inspector and Style Manager via the Context Menu (right click). For example, all text, background or border properties can be copied at once.
- Improved: Better contrast of Toolbar icons in UI rich text editors in dark themes (shape text, blog, tooltip etc.).
- Improved: Increased the length of the form message input.
- Improved: Form message editor is now resizable and remembers its size between sessions.
- Improved: When the form’s message format is set to RichText or HTML, the editor font will automatically switch to a monospaced typeface—making code and structured content easier to read.
- New feature: The Photo Gallery, Photo Grid and Photo Collage now also display the file size and date in the properties.
- New feature: Added the ability to sort images in the Photo Gallery, Photo Grid and Photo Collage properties. You can sort on Filename, title, date and size.
- New feature: Added 'Scrollable' option to Bootstrap Dialog . When this option is enabled, only the content area (body) of the modal will be scrollable.
- New feature: Added 'position' property to FlexGrid. This adds the ability to use the flexgrid as header, footer or sticky. 
- New feature: Added 'Box Shadow' properties to Carousel
- New feature: Added support for OpenAI's new image generator: gpt-image-1. This is currently the most powerful AI image generator available. It's is create for created advanced images with text.

In WWB, it can be used to create new images, create variations, inpainting and outpainting.
If you already have an OpenAI account then all you will have to do is select the new model in Tools -> Options -> AI -> Image Model. 

Inpainting
Besides the standard inpainting, this also supports very advanced edit capabilities. For example, you can use it to place people in specific environment or use it for product placement.
https://platform.openai.com/docs/guides/image-generation?image-generation-model=gpt-image-1&gallery=open#generate-images

06/06/2025 - Version 20.2.1
- Improved: Default aspect ratio of HTML5 audio 
- Improved: Image in the properties of Photo Gallery, Photo Grid, Photo Collage and Slide Show can now be re-arrange using drag & drop.
- Fixed: Issue with list item icon offset in workspace.
- Fixed: 'Edit' button text in Login Admin cannot be changed.
- Fixed: Issue with Card max-width size calculation in breakpoints
- Fixed: Issue with (fixed) Layout Grid column height in breakpoints.

06/27/2025 - Version 20.2.2
- Improved: Minor change in HTML formatting of the Overlay Menu.
- Fixed: Issue with aspect ratio of HTML Video.

08/01/2025 - Version 20.2.3
- Improved: You can now modify specific parts of URLs using Global Replace. Previously, only entire URLs could be changed. For example, you can now replace all instances of http://www.yourwebsite.com with https://www.yourwebsite.com, or change https://www.wysiwygwebbuilder.com/forum to https://forum.wysiwygwebbuilder.com, while preserving the rest of the URL.
- Improved: Table sorting now supports numbers, ensuring proper ascending and descending order for numeric data.
- Improved: Updated Ecwid URL in options.
- Fixed: Ferris Wheel does not support internal links.

08/21/2025 - Version 20.2.4
- Improved: The generated HTML for Tab Menus using a selected theme has been redesigned. Images now span the entire tab item (both horizontally and vertically), even when the tab contains longer text or uses larger padding. This update is especially beneficial in responsive mode ('breakpoint' property), where tab items expand to full width.
- Improved: Selecting a different theme in Tab Menu, no longer resets the font.
- Improved: Double-clicking a menu item in the tree view now opens it for editing without collapsing its branch.
- Improved: Alignment of SVG icons in Breadcrumb
- Improved: Optimized memory management in Flex Grid serialization, loading/storing templates, loading/storing richtext data and HTML renderer.


